Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.build
Class DefaultBuildExecutionManager

    java.lang.Object
      com.atlassian.bamboo.build.DefaultBuildExecutionManager

All Implemented Interfaces:
  BuildExecutionManager

    public class DefaultBuildExecutionManager

extends Object
implements BuildExecutionManager

Constructor Summary
`DefaultBuildExecutionManager()`

Method Summary
`String` | `addBuildLogEntry(Build build, LogEntry logEntry)` Add a new build log entry.
`void` | `clearBuildLog(Build build)` Reset the build log, ready for the next build
`List` | `getBuildLog(Build build)` Provide the latest build details.
`boolean` | `isInBuildQueue(Build build)` Is the build currenlty being built?
`boolean` | `isMarkedForDependencyBuild(Build build)` Has the build been marked for a build following a dependent build having completed?
`boolean` | `isMarkedForEditBuild(Build build)` Has the build been marked for a build following an edit?
`boolean` | `isMarkedForManualBuild(Build build)` Has the build been marked for a manual build?
`void` | `markAsNeedingBuilding(Build build, ReasonForBuild reasonForBuild)` Mark the build to force a build next time it's checked.
`void` | `setInBuildQueue(Build build, boolean isBuilding)` Set the is-building flag.
`void` | `unmarkBuild(Build build)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultBuildExecutionManager

    public DefaultBuildExecutionManager()

Method Detail

### isInBuildQueue

    public boolean isInBuildQueue(Build build)

  Description copied from interface: `BuildExecutionManager`
  Is the build currenlty being built?

  Specified by:
    `isInBuildQueue` in interface `BuildExecutionManager`
  Returns:
    true iff is currently in the build pipleline

### setInBuildQueue

    public void setInBuildQueue(Build build,
                                boolean isBuilding)

  Description copied from interface: `BuildExecutionManager`
  Set the is-building flag.

  Specified by:
    `setInBuildQueue` in interface `BuildExecutionManager`
    `isBuilding` - Is the build currently in the build pipeline?

### isMarkedForManualBuild

    public boolean isMarkedForManualBuild(Build build)

  Description copied from interface: `BuildExecutionManager`
  Has the build been marked for a manual build?

  Specified by:
    `isMarkedForManualBuild` in interface `BuildExecutionManager`
  Returns:
    true iff it is has been marked for a manual build

### isMarkedForEditBuild

    public boolean isMarkedForEditBuild(Build build)

  Description copied from interface: `BuildExecutionManager`
  Has the build been marked for a build following an edit?

  Specified by:
    `isMarkedForEditBuild` in interface `BuildExecutionManager`
  Returns:
    true iff it is has been marked for an edit build

### isMarkedForDependencyBuild

    public boolean isMarkedForDependencyBuild(Build build)

  Description copied from interface: `BuildExecutionManager`
  Has the build been marked for a build following a dependent build having completed?

  Specified by:
    `isMarkedForDependencyBuild` in interface `BuildExecutionManager`
  Returns:

### markAsNeedingBuilding

    public void markAsNeedingBuilding(Build build,
                                      ReasonForBuild reasonForBuild)

  Description copied from interface: `BuildExecutionManager`
  Mark the build to force a build next time it's checked.

  Specified by:
    `markAsNeedingBuilding` in interface `BuildExecutionManager`
    `reasonForBuild` - The reason we want to build the build

### unmarkBuild

    public void unmarkBuild(Build build)

  Specified by:
    `unmarkBuild` in interface `BuildExecutionManager`

### getBuildLog

    public List getBuildLog(Build build)

  Description copied from interface: `BuildExecutionManager`
  Provide the latest build details. This is not persisted.

  Specified by:
    `getBuildLog` in interface `BuildExecutionManager`
  Returns:
    The collection of `SimpleLogEntry`s. Never returns null.

### addBuildLogEntry

    public String addBuildLogEntry(Build build,
                                   LogEntry logEntry)

  Description copied from interface: `BuildExecutionManager`
  Add a new build log entry. This will get appended to the end of the log.

  Specified by:
    `addBuildLogEntry` in interface `BuildExecutionManager`
    `logEntry` - The data being logged
  Returns:
    The line of text being logged. From `LogEntry.getUnstyledLog()`.

### clearBuildLog

    public void clearBuildLog(Build build)

  Description copied from interface: `BuildExecutionManager`
  Reset the build log, ready for the next build

  Specified by:
    `clearBuildLog` in interface `BuildExecutionManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.